%define upstream_name    Tree-BPTree
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Perl implementation of B+ trees
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl(Module::Build)
BuildArch:	    noarch

%description
This is a Perl implementation of B+ trees. I have based this
implementation on a couple of sources. See the documentation of
Tree::BPTree for those details. A B+ tree is essentially an order
map from keys to values. Keys are multivalued so that there may be
more than one value per key. This implementation will enforce
uniqueness of keys, if requested.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Tree
%{_mandir}/*/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-7.mga6
+ Revision: 1035414
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 934205
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 750209
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 686738
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 515767
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 374478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 15569
- imported package perl-Tree-BPTree


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 405768
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.08-4mdv2009.0
+ Revision: 258694
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.08-3mdv2009.0
+ Revision: 246661
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2008.1
+ Revision: 138073
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.07-3mdv2008.1
+ Revision: 123857
- kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-3mdv2008.0
+ Revision: 87061
- rebuild


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-2mdv2007.0
- spec cleanup
- fix directory ownership
- %%mkrel

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdk
- New release 1.07
- use Module::Build instead of MakeMaker

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.06-1mdk
- initial Mandriva package

